Objective (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Objective interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Objective

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DataServiceLevelObjectiveGroup, ObjectiveGroup, SLA, SLO

    public interface Objective

extends ManagedElement

Naming Rules:
  0="objectiveName"
Persistable:
  true
Table Name:
  OBJECTIVE
Display Name:
  objectiveName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`AbstractResource[]` | `getAbstractresource()`
`Activity[]` | `getActivity()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getObjectiveName()`
`boolean` | `hasAbstractresource()`
`boolean` | `hasActivity()`
`boolean` | `hasExpression()`
`boolean` | `hasObjectiveName()`
`void` | `setAbstractresource(AbstractResource[] x)`
`void` | `setActivity(Activity[] x)`
`void` | `setExpression(java.lang.String expr)`
`void` | `setObjectiveName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getObjectiveName

    java.lang.String getObjectiveName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjectiveName

    void setObjectiveName(java.lang.String name)

### hasObjectiveName

    boolean hasObjectiveName()

### getExpression

    java.lang.String getExpression()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExpression

    void setExpression(java.lang.String expr)

### hasExpression

    boolean hasExpression()

### getActivity

    Activity[] getActivity()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Evaluates" reverse="false"

### setActivity

    void setActivity(Activity[] x)

### hasActivity

    boolean hasActivity()

### getAbstractresource

    AbstractResource[] getAbstractresource()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Evaluates" reverse="false"

### setAbstractresource

    void setAbstractresource(AbstractResource[] x)

### hasAbstractresource

    boolean hasAbstractresource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD